#include <stdio.h>
#include <omp.h>
#include "systemic.h"
#include "kernel.h"
#include "gsl/gsl_sort.h"
#include "time.h"
#include "integration.h"
#include "utils.h"
#include "simplex.h"
#include "time.h"
#include "bootstrap.h"
#include "periodogram.h"
#include "mcmc.h"
#include "gsl/gsl_sort_vector.h"
#include "gsl/gsl_statistics.h"
#include "extras.h"

int progress(int min, int max, void* state, char* c) {
    printf("%d %d\n", min, max);
    return PROGRESS_CONTINUE;
}

int main() {
    FILE* fid = fopen("private/61vir.k", "r");
    assert(fid);
    
    ok_kernel* k = K_load(fid, 0);
    printf("%e\n", K_crossval_l1o(k, LM, 5000, NULL));
}